//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2021.08.04 at 08:18:05 PM EET 
//


package genericinterface.epg.edafa.com;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for isRegieteredAchReturn complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="isRegieteredAchReturn">
 *   &lt;complexContent>
 *     &lt;extension base="{http://com.edafa.epg.genericInterface/}achRegisterationResponse">
 *       &lt;sequence>
 *         &lt;element name="isActivated" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="isSuspended" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="noOfRregisteredMandate" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="activated" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="suspended" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "isRegieteredAchReturn", propOrder = {
    "isActivated",
    "isSuspended",
    "noOfRregisteredMandate",
    "activated",
    "suspended"
})
public class IsRegieteredAchReturn
    extends AchRegisterationResponse
{

    protected boolean isActivated;
    protected boolean isSuspended;
    protected int noOfRregisteredMandate;
    protected boolean activated;
    protected boolean suspended;

    /**
     * Gets the value of the isActivated property.
     * 
     */
    public boolean isIsActivated() {
        return isActivated;
    }

    /**
     * Sets the value of the isActivated property.
     * 
     */
    public void setIsActivated(boolean value) {
        this.isActivated = value;
    }

    /**
     * Gets the value of the isSuspended property.
     * 
     */
    public boolean isIsSuspended() {
        return isSuspended;
    }

    /**
     * Sets the value of the isSuspended property.
     * 
     */
    public void setIsSuspended(boolean value) {
        this.isSuspended = value;
    }

    /**
     * Gets the value of the noOfRregisteredMandate property.
     * 
     */
    public int getNoOfRregisteredMandate() {
        return noOfRregisteredMandate;
    }

    /**
     * Sets the value of the noOfRregisteredMandate property.
     * 
     */
    public void setNoOfRregisteredMandate(int value) {
        this.noOfRregisteredMandate = value;
    }

    /**
     * Gets the value of the activated property.
     * 
     */
    public boolean isActivated() {
        return activated;
    }

    /**
     * Sets the value of the activated property.
     * 
     */
    public void setActivated(boolean value) {
        this.activated = value;
    }

    /**
     * Gets the value of the suspended property.
     * 
     */
    public boolean isSuspended() {
        return suspended;
    }

    /**
     * Sets the value of the suspended property.
     * 
     */
    public void setSuspended(boolean value) {
        this.suspended = value;
    }

}
